読者です 読者をやめる 読者になる 読者になる

langscan/ruby/compat/ripper.so

LangScan::*はビルドできたと思ったら、ripper.soを忘れていた。

これのコンパイルの方法がわからない。ふつーにコンパイルすると鬼のようにエラーが出て、どうやら#include<ruby.h>が足りないらしいと気づいたんだが。Unixでどうやってコンパイルしてるのかがわからん。まあ実際にmakeしてみればわかる話だが、cygwinflex入れるのがめんどくさい。

全部に#includeを足してまわるスクリプトを書くのはたやすいことだが、ほんとどうやってるんだろ。気持ち悪いなぁ。